---

  - name: First Run | Create first run script directory
    ansible.builtin.file:
      path: /var/lib/zsl-first-run
      state: directory
      owner: root
      group: root
      mode: 0700

  - name: First Run | Add first run script
    ansible.builtin.copy:
      src: first-run.sh
      dest: /var/lib/zsl-first-run/first-run.sh
      owner: root
      group: root
      mode: 0700

  - name: First Run | Add SystemD service
    ansible.builtin.template:
      src: firstrun-service.j2
      dest: /etc/systemd/system/zsl-firstrun.service
      owner: root
      group: root
      mode: 0755
      
  - name: First Run | Enable Service and reload SystemD
    ansible.builtin.systemd:
      name: zsl-firstrun
      state: stopped
      enabled: yes
      daemon_reload: yes